[
  {
    "description": "",
    "elements": [
      {
        "description": "",
        "id": "enable-newsletter-sending;usuario-se-loguea-exitosamente,-habilita-el-newsletter-sending-y-luego-hace-logout",
        "keyword": "Scenario",
        "line": 3,
        "name": "Usuario se loguea exitosamente, habilita el newsletter sending y luego hace logout",
        "steps": [
          {
            "keyword": "Before",
            "hidden": true,
            "result": {
              "status": "passed",
              "duration": 12490000000
            }
          },
          {
            "arguments": [],
            "keyword": "Given ",
            "line": 4,
            "name": "I navigate to page \"http://localhost:2368/ghost/#/signin\"",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/web.js:41"
            },
            "result": {
              "status": "passed",
              "duration": 2591000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 15176 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 5,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 5052000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 43948 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 6,
            "name": "I enter \"<ADMIN_EMAIL>\" into element \"#identification\"",
            "match": {
              "location": "features/web/step_definitions/step.js:8"
            },
            "result": {
              "status": "passed",
              "duration": 1573000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 47872 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 7,
            "name": "I enter \"<ADMIN_PASSWORD>\" into element \"#password\"",
            "match": {
              "location": "features/web/step_definitions/step.js:8"
            },
            "result": {
              "status": "passed",
              "duration": 2271000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 47940 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 8,
            "name": "I click element \"button[type='submit']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 1624000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 78180 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 9,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 3064000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90844 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 10,
            "name": "I should be on the \"http://localhost:2368/ghost/#/dashboard\" page",
            "match": {
              "location": "features/web/step_definitions/step.js:38"
            },
            "result": {
              "status": "passed",
              "duration": 828000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90884 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 11,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 2472000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 91088 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 13,
            "name": "I navigate to page \"http://localhost:2368/ghost/#/settings/enable-newsletters\"",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/web.js:41"
            },
            "result": {
              "status": "passed",
              "duration": 574000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 15912 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 14,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 4766000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 85980 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 15,
            "name": "I click element \"//div[@data-testid='enable-newsletters']//*[@role='switch']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 905000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 86652 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 16,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 5334000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 86136 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 17,
            "name": "I should see \"Enabled\" in element \"//div[@data-testid='enable-newsletters']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:24"
            },
            "result": {
              "status": "failed",
              "duration": 871000000,
              "error_message": "AssertionError [ERR_ASSERTION]: The expression evaluated to a falsy value:\n\n  assert.ok(text.includes(value))\n\n    + expected - actual\n\n    -false\n    +true\n\n    at KrakenWorld.<anonymous> (/home/ubuntu24/Q/e2e/misw-4103-kraken/features/web/step_definitions/step.js:27:10)\n    at process.processTicksAndRejections (node:internal/process/task_queues:95:5)"
            },
            "embeddings": [
              {
                "data": "[encoded data, 86136 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 18,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "skipped",
              "duration": 0
            }
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 19,
            "name": "I click element \"//*[@data-testid='exit-settings']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "skipped",
              "duration": 0
            }
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 20,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "skipped",
              "duration": 0
            }
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 22,
            "name": "I click element \".gh-user-avatar\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "skipped",
              "duration": 0
            }
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 23,
            "name": "I click element \".user-menu-signout\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "skipped",
              "duration": 0
            }
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 24,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "skipped",
              "duration": 0
            }
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 25,
            "name": "I should be on the \"http://localhost:2368/ghost/#/signin\" page",
            "match": {
              "location": "features/web/step_definitions/step.js:38"
            },
            "result": {
              "status": "skipped",
              "duration": 0
            }
          },
          {
            "keyword": "After",
            "hidden": true,
            "result": {
              "status": "passed",
              "duration": 3624000000
            }
          }
        ],
        "tags": [
          {
            "name": "@user18",
            "line": 2
          },
          {
            "name": "@web",
            "line": 2
          }
        ],
        "type": "scenario"
      }
    ],
    "id": "enable-newsletter-sending",
    "line": 1,
    "keyword": "Feature",
    "name": "Enable newsletter sending",
    "tags": [],
    "uri": "features/10-enable_newsletter_sending_admin.feature"
  }
]